slaisnan.f(3)

NAME
slaisnan.f -

SYNOPSIS

  Functions/Subroutines
LOGICAL function slaisnan (SIN1, SIN2)
SLAISNAN tests input for NaN by comparing two arguments for inequality.

Function/Subroutine Documentation

  LOGICAL function slaisnan (realSIN1, realSIN2)

SLAISNAN tests input for NaN by comparing two arguments for inequality.

Purpose:

     This routine is not for general use.  It exists solely to avoid
     over-optimization in SISNAN.
     SLAISNAN checks for NaNs by comparing its two arguments for
     inequality.  NaN is the only floating-point value where NaN != NaN
     returns .TRUE.  To check for NaNs, pass the same variable as both
     arguments.
     A compiler must assume that the two arguments are
     not the same variable, and the test will not be optimized away.
     Interprocedural or whole-program optimization may delete this
     test.  The ISNAN functions will be replaced by the correct
     Fortran 03 intrinsic once the intrinsic is widely available.

Parameters:
    SIN1

              SIN1 is REAL

    SIN2

              SIN2 is REAL
              Two numbers to compare for inequality.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 75 of file slaisnan.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.